<?php
/**
 * @file
 * Metatag integration for the Metatag:Cxense module.
 */

/**
 * Implements hook_metatag_info().
 */
function metatag_cxense_metatag_info() {
  $info['groups']['cxense'] = array(
    'label' => t('Cxense'),
    'description' => t("Meta tags used to integrate with Cxense's APIs. They are primarily of benefit for sites using Cxense Insight."),
    'form' => array(
      '#weight' => 75,
    ),
  );

  // Cxense meta tags stack after the simple tags.
  $weight = 30;

  // Default values for each meta tag.
  $tag_info_defaults = array(
    'description' => '',
    'class' => 'DrupalTextMetaTag',
    'group' => 'cxense',
    'element' => array(
      '#theme' => 'metatag_property',
    ),
  );

  $info['tags']['cXenseParse:articleid'] = array(
    'label' => t('Cxsense Article ID'),
    'description' => t('Unique ID of the article.'),
    'weight' => ++$weight,
    'devel_generate' => array(
      'type' => 'integer',
    ),
  ) + $tag_info_defaults;
  
  $info['tags']['cXenseParse:pageclass'] = array(
    'label' => t('Cxsense Page Class'),
    'description' => t('The class of a page.'),
    'weight' => ++$weight,
    'form' => array(
      '#type' => 'select', 
      '#options' => array(
        'homepage' => 'Homepage', 
        'article' => 'Article', 
      ), 
    ),
    'devel_generate' => array(
      'type' => 'select',
    ),
  ) + $tag_info_defaults;
  
  
  // Cxense meta tags for recommended content
  $weight = 31;
  
  $info['groups']['cxense_recs'] = array(
    'label' => t('Cxense recommendations'),
    'description' => t("Meta tags used to integrate with Cxense's APIs. They are primarily of benefit for sites using Cxense DMP."),
    'form' => array(
      '#weight' => 76,
    ),
  );
  
  $tag_info_defaults = array(
    'description' => '',
    'class' => 'DrupalTextMetaTag',
    'group' => 'cxense_recs',
    'element' => array(
      '#theme' => 'metatag_property',
    ),
  );

  $info['tags']['cXenseParse:recs:publishtime'] = array(
    'label' => t('Cxsense Publish Time'),
    'description' => t('The date/time of the publication for this page. Must be in the following format: Y-m-d\TH:i:s\Z.'),
    'weight' => ++$weight,
    'form' => array(
      '#type' => 'textfield', 
      '#default_value' => '[node:created:custom:Y-m-d\TH:i:s\Z]',
    ),
  ) + $tag_info_defaults;

  return $info;
}

//published_at
